package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFDU8 extends MwfRequest<MWFDU8, MWFDU8Response> {

    @Parameter(name = "CIF")
    MWFDU8 cif(String cif);
    @Parameter(name = "DanovyPoradce")
    MWFDU8 danovyPoradce(String danovyPoradce);
    @Parameter(name = "DatumNarozeni")
    MWFDU8 datumNarozeni(java.util.Date datumNarozeni);
    @Parameter(name = "DatumPodpisu101")
    MWFDU8 datumPodpisu101(java.util.Date datumPodpisu101);
    @Parameter(name = "DatumZamOd")
    MWFDU8 datumZamOd(java.util.Date datumZamOd);
    @Parameter(name = "EvidencniCislo")
    MWFDU8 evidencniCislo(String evidencniCislo);
    @Parameter(name = "EvidencniCislo_Duvod")
    MWFDU8 evidencniCisloDuvod(String evidencniCisloDuvod);
    @Parameter(name = "EvidencniCislo_Komentar")
    MWFDU8 evidencniCisloKomentar(String evidencniCisloKomentar);
    @Parameter(name = "Form_Type_ID")
    MWFDU8 formTypeID(String formTypeID);
    @Parameter(name = "GEZamestnanecPriznak")
    MWFDU8 gEZamestnanecPriznak(Long gEZamestnanecPriznak);
    @Parameter(name = "ICO")
    MWFDU8 ico(String ico);
    @Parameter(name = "INST_PT_KEY")
    MWFDU8 instPtKey(Long instPtKey);
    @Parameter(name = "JmenoKrestni1")
    MWFDU8 jmenoKrestni1(String jmenoKrestni1);
    @Parameter(name = "JmenoKrestni2")
    MWFDU8 jmenoKrestni2(String jmenoKrestni2);
    @Parameter(name = "KONT_ADR_KEY")
    MWFDU8 kontAdrKey(Long kontAdrKey);
    @Parameter(name = "KONT_EMAIL_KEY")
    MWFDU8 kontEmailKey(Long kontEmailKey);
    @Parameter(name = "KONT_MOBIL_JINY_KEY")
    MWFDU8 kontMobilJinyKey(Long kontMobilJinyKey);
    @Parameter(name = "KONT_MOBIL_KEY")
    MWFDU8 kontMobilKey(Long kontMobilKey);
    @Parameter(name = "KONT_PEVNA_LINKA_KEY")
    MWFDU8 kontPevnaLinkaKey(Long kontPevnaLinkaKey);
    @Parameter(name = "KlientTypMKT")
    MWFDU8 klientTypMKT(String klientTypMKT);
    @Parameter(name = "Kont_AdrAdresat")
    MWFDU8 kontAdrAdresat(String kontAdrAdresat);
    @Parameter(name = "Kont_AdrCO")
    MWFDU8 kontAdrCO(String kontAdrCO);
    @Parameter(name = "Kont_AdrCP")
    MWFDU8 kontAdrCP(String kontAdrCP);
    @Parameter(name = "Kont_AdrObec")
    MWFDU8 kontAdrObec(String kontAdrObec);
    @Parameter(name = "Kont_AdrPSC")
    MWFDU8 kontAdrPSC(String kontAdrPSC);
    @Parameter(name = "Kont_AdrPobytOd")
    MWFDU8 kontAdrPobytOd(java.util.Date kontAdrPobytOd);
    @Parameter(name = "Kont_AdrPosta")
    MWFDU8 kontAdrPosta(String kontAdrPosta);
    @Parameter(name = "Kont_AdrUlice")
    MWFDU8 kontAdrUlice(String kontAdrUlice);
    @Parameter(name = "Kont_AdrZeme")
    MWFDU8 kontAdrZeme(String kontAdrZeme);
    @Parameter(name = "Kont_Email")
    MWFDU8 kontEmail(String kontEmail);
    @Parameter(name = "Kont_Mobil")
    MWFDU8 kontMobil(String kontMobil);
    @Parameter(name = "Kont_Mobil_Jiny")
    MWFDU8 kontMobilJiny(String kontMobilJiny);
    @Parameter(name = "Kont_PevnaLinka")
    MWFDU8 kontPevnaLinka(String kontPevnaLinka);
    @Parameter(name = "MistoNarozeni")
    MWFDU8 mistoNarozeni(String mistoNarozeni);
    @Parameter(name = "NFC_MSISDN")
    MWFDU8 nfcMsisdn(String nfcMsisdn);
    @Parameter(name = "NFC_MSISDN_KEY")
    MWFDU8 nfcMsisdnKey(Long nfcMsisdnKey);
    @Parameter(name = "OSOBNIDOKLAD1_KEY")
    MWFDU8 osobnidoklad1Key(Long osobnidoklad1Key);
    @Parameter(name = "OSOBNIDOKLAD2_KEY")
    MWFDU8 osobnidoklad2Key(Long osobnidoklad2Key);
    @Parameter(name = "ObchodniNazev")
    MWFDU8 obchodniNazev(String obchodniNazev);
    @Parameter(name = "OsobniDoklad1Cislo")
    MWFDU8 osobniDoklad1Cislo(String osobniDoklad1Cislo);
    @Parameter(name = "OsobniDoklad1PlatnostDo")
    MWFDU8 osobniDoklad1PlatnostDo(java.util.Date osobniDoklad1PlatnostDo);
    @Parameter(name = "OsobniDoklad1Typ")
    MWFDU8 osobniDoklad1Typ(String osobniDoklad1Typ);
    @Parameter(name = "OsobniDoklad1Zeme")
    MWFDU8 osobniDoklad1Zeme(String osobniDoklad1Zeme);
    @Parameter(name = "OsobniDoklad2Cislo")
    MWFDU8 osobniDoklad2Cislo(String osobniDoklad2Cislo);
    @Parameter(name = "OsobniDoklad2PlatnostDo")
    MWFDU8 osobniDoklad2PlatnostDo(java.util.Date osobniDoklad2PlatnostDo);
    @Parameter(name = "OsobniDoklad2Typ")
    MWFDU8 osobniDoklad2Typ(String osobniDoklad2Typ);
    @Parameter(name = "OsobniDoklad2Zeme")
    MWFDU8 osobniDoklad2Zeme(String osobniDoklad2Zeme);
    @Parameter(name = "OstatniZivotniNaklady")
    MWFDU8 ostatniZivotniNaklady(Double ostatniZivotniNaklady);
    @Parameter(name = "PODN_ADR_KEY")
    MWFDU8 podnAdrKey(Long podnAdrKey);
    @Parameter(name = "PODN_EMAIL_KEY")
    MWFDU8 podnEmailKey(Long podnEmailKey);
    @Parameter(name = "PODN_MOBIL_JINY_KEY")
    MWFDU8 podnMobilJinyKey(Long podnMobilJinyKey);
    @Parameter(name = "PODN_MOBIL_KEY")
    MWFDU8 podnMobilKey(Long podnMobilKey);
    @Parameter(name = "PODN_PEVNA_LINKA_KEY")
    MWFDU8 podnPevnaLinkaKey(Long podnPevnaLinkaKey);
    @Parameter(name = "PRIJEM_CistyMesicni_KEY")
    MWFDU8 pRIJEMCistyMesicniKEY(Long pRIJEMCistyMesicniKEY);
    @Parameter(name = "PRIJEM_DomacnostiMesicni_KEY")
    MWFDU8 pRIJEMDomacnostiMesicniKEY(Long pRIJEMDomacnostiMesicniKEY);
    @Parameter(name = "PRIJEM_HrubyRocni_KEY")
    MWFDU8 pRIJEMHrubyRocniKEY(Long pRIJEMHrubyRocniKEY);
    @Parameter(name = "PRIJEM_ZakladDane_KEY")
    MWFDU8 pRIJEMZakladDaneKEY(Long pRIJEMZakladDaneKEY);
    @Parameter(name = "PobytPovolenDo")
    MWFDU8 pobytPovolenDo(java.util.Date pobytPovolenDo);
    @Parameter(name = "PocetClenuSdruzeni")
    MWFDU8 pocetClenuSdruzeni(Long pocetClenuSdruzeni);
    @Parameter(name = "PocetVyzivovanychOsob")
    MWFDU8 pocetVyzivovanychOsob(Long pocetVyzivovanychOsob);
    @Parameter(name = "Podn_AdrCO")
    MWFDU8 podnAdrCO(String podnAdrCO);
    @Parameter(name = "Podn_AdrCP")
    MWFDU8 podnAdrCP(String podnAdrCP);
    @Parameter(name = "Podn_AdrObec")
    MWFDU8 podnAdrObec(String podnAdrObec);
    @Parameter(name = "Podn_AdrPSC")
    MWFDU8 podnAdrPSC(String podnAdrPSC);
    @Parameter(name = "Podn_AdrPosta")
    MWFDU8 podnAdrPosta(String podnAdrPosta);
    @Parameter(name = "Podn_AdrUlice")
    MWFDU8 podnAdrUlice(String podnAdrUlice);
    @Parameter(name = "Podn_AdrZeme")
    MWFDU8 podnAdrZeme(String podnAdrZeme);
    @Parameter(name = "Podn_Email")
    MWFDU8 podnEmail(String podnEmail);
    @Parameter(name = "Podn_Mobil")
    MWFDU8 podnMobil(String podnMobil);
    @Parameter(name = "Podn_Mobil_Jiny")
    MWFDU8 podnMobilJiny(String podnMobilJiny);
    @Parameter(name = "Podn_PevnaLinka")
    MWFDU8 podnPevnaLinka(String podnPevnaLinka);
    @Parameter(name = "Pohlavi")
    MWFDU8 pohlavi(String pohlavi);
    @Parameter(name = "Povolani")
    MWFDU8 povolani(String povolani);
    @Parameter(name = "PovolaniTyp")
    MWFDU8 povolaniTyp(String povolaniTyp);
    @Parameter(name = "PracovniPomer")
    MWFDU8 pracovniPomer(String pracovniPomer);
    @Parameter(name = "PreruseniCinnosti")
    MWFDU8 preruseniCinnosti(String preruseniCinnosti);
    @Parameter(name = "Prijem_CistyMesicni3M")
    MWFDU8 prijemCistyMesicni3M(Double prijemCistyMesicni3M);
    @Parameter(name = "Prijem_DomacnostMesicni")
    MWFDU8 prijemDomacnostMesicni(Double prijemDomacnostMesicni);
    @Parameter(name = "Prijem_HrubyRocni")
    MWFDU8 prijemHrubyRocni(Double prijemHrubyRocni);
    @Parameter(name = "Prijem_OstatniNonGESplatky")
    MWFDU8 prijemOstatniNonGESplatky(Double prijemOstatniNonGESplatky);
    @Parameter(name = "Prijem_PocetZdroju")
    MWFDU8 prijemPocetZdroju(Long prijemPocetZdroju);
    @Parameter(name = "Prijem_ZakladDane")
    MWFDU8 prijemZakladDane(Double prijemZakladDane);
    @Parameter(name = "Prijem_ZdanovaciObdobi")
    MWFDU8 prijemZdanovaciObdobi(Long prijemZdanovaciObdobi);
    @Parameter(name = "Prijmeni")
    MWFDU8 prijmeni(String prijmeni);
    @Parameter(name = "PrijmeniRodne")
    MWFDU8 prijmeniRodne(String prijmeniRodne);
    @Parameter(name = "PrimarniBankovnictvi_Flag")
    MWFDU8 primarniBankovnictviFlag(String primarniBankovnictviFlag);
    @Parameter(name = "RezidenceFlag")
    MWFDU8 rezidenceFlag(String rezidenceFlag);
    @Parameter(name = "RodinnyStav")
    MWFDU8 rodinnyStav(String rodinnyStav);
    @Parameter(name = "RodinnyStavOvereni")
    MWFDU8 rodinnyStavOvereni(String rodinnyStavOvereni);
    @Parameter(name = "RodneCislo")
    MWFDU8 rodneCislo(String rodneCislo);
    @Parameter(name = "SdruzeniFOP")
    MWFDU8 sdruzeniFOP(String sdruzeniFOP);
    @Parameter(name = "Souhlas101Flag")
    MWFDU8 souhlas101Flag(Long souhlas101Flag);
    @Parameter(name = "SouhlasECBStav")
    MWFDU8 souhlasECBStav(String souhlasECBStav);
    @Parameter(name = "SrazkyZeMzdy")
    MWFDU8 srazkyZeMzdy(Double srazkyZeMzdy);
    @Parameter(name = "StatniPrislusnost")
    MWFDU8 statniPrislusnost(String statniPrislusnost);
    @Parameter(name = "StatutarniOrgan")
    MWFDU8 statutarniOrgan(String statutarniOrgan);
    @Parameter(name = "TRV_ADR_KEY")
    MWFDU8 trvAdrKey(Long trvAdrKey);
    @Parameter(name = "TRV_EMAIL_KEY")
    MWFDU8 trvEmailKey(Long trvEmailKey);
    @Parameter(name = "TRV_MOBIL_JINY_KEY")
    MWFDU8 trvMobilJinyKey(Long trvMobilJinyKey);
    @Parameter(name = "TRV_MOBIL_KEY")
    MWFDU8 trvMobilKey(Long trvMobilKey);
    @Parameter(name = "TRV_PEVNA_LINKA_KEY")
    MWFDU8 trvPevnaLinkaKey(Long trvPevnaLinkaKey);
    @Parameter(name = "TitulPred")
    MWFDU8 titulPred(String titulPred);
    @Parameter(name = "TitulZa")
    MWFDU8 titulZa(String titulZa);
    @Parameter(name = "Trv_AdrAdresat")
    MWFDU8 trvAdrAdresat(String trvAdrAdresat);
    @Parameter(name = "Trv_AdrCO")
    MWFDU8 trvAdrCO(String trvAdrCO);
    @Parameter(name = "Trv_AdrCP")
    MWFDU8 trvAdrCP(String trvAdrCP);
    @Parameter(name = "Trv_AdrObec")
    MWFDU8 trvAdrObec(String trvAdrObec);
    @Parameter(name = "Trv_AdrPSC")
    MWFDU8 trvAdrPSC(String trvAdrPSC);
    @Parameter(name = "Trv_AdrPosta")
    MWFDU8 trvAdrPosta(String trvAdrPosta);
    @Parameter(name = "Trv_AdrUlice")
    MWFDU8 trvAdrUlice(String trvAdrUlice);
    @Parameter(name = "Trv_AdrZeme")
    MWFDU8 trvAdrZeme(String trvAdrZeme);
    @Parameter(name = "Trv_Email")
    MWFDU8 trvEmail(String trvEmail);
    @Parameter(name = "Trv_Mobil")
    MWFDU8 trvMobil(String trvMobil);
    @Parameter(name = "Trv_Mobil_Jiny")
    MWFDU8 trvMobilJiny(String trvMobilJiny);
    @Parameter(name = "Trv_PevnaLinka")
    MWFDU8 trvPevnaLinka(String trvPevnaLinka);
    @Parameter(name = "TypBydleni")
    MWFDU8 typBydleni(String typBydleni);
    @Parameter(name = "TypKlienta")
    MWFDU8 typKlienta(String typKlienta);
    @Parameter(name = "TypPobytu")
    MWFDU8 typPobytu(String typPobytu);
    @Parameter(name = "VPS_Flag")
    MWFDU8 vPSFlag(Long vPSFlag);
    @Parameter(name = "Vzdelani")
    MWFDU8 vzdelani(String vzdelani);
    @Parameter(name = "ZAM_ADR_KEY")
    MWFDU8 zamAdrKey(Long zamAdrKey);
    @Parameter(name = "ZAM_MOBIL_KEY")
    MWFDU8 zamMobilKey(Long zamMobilKey);
    @Parameter(name = "ZAM_PEVNALINKA_KEY")
    MWFDU8 zamPevnalinkaKey(Long zamPevnalinkaKey);
    @Parameter(name = "Zam_AdrAdresat")
    MWFDU8 zamAdrAdresat(String zamAdrAdresat);
    @Parameter(name = "Zam_AdrCO")
    MWFDU8 zamAdrCO(String zamAdrCO);
    @Parameter(name = "Zam_AdrCP")
    MWFDU8 zamAdrCP(String zamAdrCP);
    @Parameter(name = "Zam_AdrObec")
    MWFDU8 zamAdrObec(String zamAdrObec);
    @Parameter(name = "Zam_AdrPSC")
    MWFDU8 zamAdrPSC(String zamAdrPSC);
    @Parameter(name = "Zam_AdrPosta")
    MWFDU8 zamAdrPosta(String zamAdrPosta);
    @Parameter(name = "Zam_AdrUlice")
    MWFDU8 zamAdrUlice(String zamAdrUlice);
    @Parameter(name = "Zam_AdrZeme")
    MWFDU8 zamAdrZeme(String zamAdrZeme);
    @Parameter(name = "Zam_Mobil")
    MWFDU8 zamMobil(String zamMobil);
    @Parameter(name = "Zam_PevnaLinka")
    MWFDU8 zamPevnaLinka(String zamPevnaLinka);
    @Parameter(name = "ZamestnanDo")
    MWFDU8 zamestnanDo(java.util.Date zamestnanDo);
    @Parameter(name = "Zamestnavatel_ICO")
    MWFDU8 zamestnavatelICO(String zamestnavatelICO);
    @Parameter(name = "Zamestnavatel_Nazev")
    MWFDU8 zamestnavatelNazev(String zamestnavatelNazev);
    @Parameter(name = "Zamestnavatel_Zeme")
    MWFDU8 zamestnavatelZeme(String zamestnavatelZeme);
    @Parameter(name = "ZuzeneSJM")
    MWFDU8 zuzeneSJM(String zuzeneSJM);
    @Parameter(name = "ZvlastniVztahKBance")
    MWFDU8 zvlastniVztahKBance(String zvlastniVztahKBance);
}
